USE [COWS]
GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO


--Create M5_REDSGN_MSG
CREATE TABLE [dbo].[M5_REDSGN_MSG](
	[M5_REDSGN_MSG_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[REDSGN_DEV_ID] [int] NOT NULL,
	[CHARGE_AMT]  [decimal](10, 2) NOT NULL,
	[SITE] VARCHAR(255) NULL,
	[STUS_ID] [smallint] NOT NULL,
	[CREAT_DT] [smalldatetime] NOT NULL,
	[SENT_DT] [smalldatetime] NULL,
	[EVENT_ID] [int] NULL,
 CONSTRAINT [PK_M5_EVENT_MSG] PRIMARY KEY CLUSTERED 
(
	[M5_REDSGN_MSG_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO

ALTER TABLE [dbo].[M5_REDSGN_MSG]  WITH NOCHECK ADD  CONSTRAINT [FK01_M5_REDSGN_MSG] FOREIGN KEY([STUS_ID])
REFERENCES [dbo].[LK_STUS] ([STUS_ID])
GO

ALTER TABLE [dbo].[M5_REDSGN_MSG] CHECK CONSTRAINT [FK01_M5_REDSGN_MSG]
GO


SET ANSI_PADDING OFF
GO
SET ANSI_NULLS OFF
GO
SET QUOTED_IDENTIFIER OFF
GO